![Nextcloud](https://raw.githubusercontent.com/docker-library/docs/e563b6cd3d797e2b3695576d20041227d1fb7536/nextcloud/logo.svg?sanitize=true "Nextcloud")

**NOTE:** There is no longer a `latest` or `fpm-alpine` tag, as the latest version from nextcloud would be `21` but at the moment, I consider `20` more stable, you will now have to specify which major version you need: `16-fpm-alpine`,`16-fpm`,`17-fpm-alpine`,`17-fpm`,`18-fpm-alpine`,`18-fpm`,`19-fpm-alpine`,`19-fpm`,`20-fpm-alpine`,`20-fpm`,`21-fpm-alpine`,`21-fpm`. This should prevent major problems with an unintended upgrade from one major version to another (you cannot easily downgrade).

In the fpm tag, the `www-data` user has been modified to uid/gid 82, to coincide with the alpine version, and also work with the companion nginx container, [`bkraul/nginx-nextcloud`](https://hub.docker.com/repository/docker/bkraul/nginx-nextcloud).

# Description
This image is fully based on the latest official [fpm-alpine/fpm Nextcloud](https://hub.docker.com/_/nextcloud/). No modifications to how the image works have been made, except for adding features. For more information on how to add features [go here](https://github.com/nextcloud/docker/tree/master/.examples).

# Features
This image adds built-in support for the following features:
* Samba
* Redis
* ImageMagick: (The latest `fpm-alpine` image for version 16 does not support any image formats (including the needed SVG format), due to it missing `imagemagick` package). This image corrects that.

# Current Versions
The current `21-fpm-alpine` and `21-fpm` version is: **21.0.0**\
The current `20-fpm-alpine` and `20-fpm` version is: **20.0.8**\
The current `19-fpm-alpine` and `19-fpm` version is: **19.0.9**\
The last`18-fpm-alpine` and `18-fpm` version is: **18.0.14** (No longer officially supported/updated by Nextcloud)\
The last`17-fpm-alpine` and `17-fpm` version is: **17.0.10** (No longer officially supported/updated by Nextcloud)\
The last `16-fpm-alpine` and `16-fpm` version is: **16.0.11** (No longer officially supported/updated by Nextcloud)


# Source
https://git.belmankraul.com/docker/nextcloud

# Issues
For issues or questions, visit https://discourse.belmankraul.com/c/docker/nextcloud
